# Home Directory Configuration
This is my personal linux home directory configuration. 

Use at your own risk!

## Quickstart

Setting up this configuration is as simple as it gets:
``` bash
git clone https://git.nold.in/nold/dotfiles
cd dotfiles && bash setup.sh
```

To Update everything just run `setup.sh` again.

## Structure

### bashrc
... well ... `~/.bashrc`... will not be linked unlike files contained in `dotfiles` directory, but `source`d. Leaving the local `~/.bashrc` intact.

### config
Directories the will be linked to `~/.config/${name}`.

### configfile
Only files from this directory tree will be linked, to the same directory under `~/.config`

### dotfiles
Files that are directly located under `$HOME`.

### fonts
Fonts that will be copied to `~/.fonts`

### hosts
Custom additions to bashrc for specific hostnames. If no specific host is found in `hosts/$(hostname -s)`, `any` will be used.

### requirements.txt
Python libs to install using `pip3`.
